%define upstream_name    Flickr-API
%define upstream_version 1.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl interface to the flickr.com API 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/I/IA/IAMCAL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 1.0.0
BuildRequires: perl(HTTP::Message) >= 1.560.0
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Net::OAuth)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Script)
BuildRequires: perl(URI) >= 1.180.0
BuildRequires: perl(XML::LibXML::Simple)
BuildRequires: perl(XML::Parser::Lite::Tree) >= 0.60.0
BuildRequires: perl(parent)
BuildRequires: perl-libwww-perl
BuildRequires: perl(XML::Parser::Lite::Tree)
BuildArch:  noarch

%description
Perl interface to the flickr.com API

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{perl_vendorlib}/
%{_mandir}/*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.290.0-2.mga10
+ Revision: 2223981
- Mageia 10 Mass Rebuild

* Tue May 28 2024 tv <tv> 1.290.0-1.mga10
+ Revision: 2068602
- update to 1.29

* Mon Mar 28 2022 umeabot <umeabot> 1.280.0-4.mga9
+ Revision: 1830753
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.280.0-3.mga8
+ Revision: 1504532
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.280.0-2.mga7
+ Revision: 1283912
- Mageia 7 Mass Rebuild

* Sun Jul 30 2017 sander85 <sander85> 1.280.0-1.mga7
+ Revision: 1132691
- update to 1.28

* Sun Jun 19 2016 pterjan <pterjan> 1.270.0-2.mga6
+ Revision: 1027633
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.270.0-1.mga6
+ Revision: 1001932
- update to 1.27

* Sat Feb 20 2016 umeabot <umeabot> 1.250.0-2.mga6
+ Revision: 971315
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 1.250.0-1.mga6
+ Revision: 891356
- update to 1.25

* Mon Sep 28 2015 sander85 <sander85> 1.190.0-1.mga6
+ Revision: 884603
- update to 1.19

* Sun Aug 23 2015 sander85 <sander85> 1.180.0-1.mga6
+ Revision: 868456
- update to 1.18

* Thu Aug 13 2015 sander85 <sander85> 1.170.0-1.mga6
+ Revision: 864360
- update to 1.17

* Sun Jul 19 2015 sander85 <sander85> 1.160.0-1.mga6
+ Revision: 855339
- update to 1.16

* Tue Jul 14 2015 sander85 <sander85> 1.150.0-1.mga6
+ Revision: 854061
- update to 1.15

* Sun Jul 05 2015 sander85 <sander85> 1.130.0-1.mga6
+ Revision: 851193
- update to 1.13

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-3.mga5
+ Revision: 747678
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-2.mga5
+ Revision: 684799
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 sander85 <sander85> 1.100.0-1.mga5
+ Revision: 641841
- update to 1.10

* Tue Jun 17 2014 sander85 <sander85> 1.90.0-1.mga5
+ Revision: 637803
- update to 1.09

* Sat Oct 19 2013 umeabot <umeabot> 1.80.0-2.mga4
+ Revision: 528703
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.80.0-1.mga4
+ Revision: 446958
- update to 1.08

* Fri Jun 07 2013 jquelin <jquelin> 1.70.0-1.mga4
+ Revision: 439291
- update to 1.07

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-2.mga3
+ Revision: 367506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.50.0-1.mga3
+ Revision: 294981
- update to 1.05

* Mon Jan 24 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 37043
- mageia rebuild
- imported package perl-Flickr-API


* Wed Aug 26 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 421385
- update to 1.04

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 420894
- update to 1.03

* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 410053
- update to 1.02

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.01-2mdv2009.1
+ Revision: 350225
- 2009.1 rebuild

* Thu Oct 02 2008 Pascal Terjan <pterjan@mandriva.org> 1.01-1mdv2009.0
+ Revision: 290801
- Update to 1.01 to support latest XML::Parser::Lite::Tree

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.09-3mdv2009.0
+ Revision: 257060
- rebuild

* Wed Feb 06 2008 Funda Wang <fwang@mandriva.org> 0.09-1mdv2008.1
+ Revision: 162939
- update to new version 0.09

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 Pascal Terjan <pterjan@mandriva.org> 0.08-2mdv2008.0
+ Revision: 26369
- move make test to check section


* Mon Mar 20 2006 Pascal Terjan <pterjan@mandriva.org> 0.08-1mdk
- New release 0.08

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.07-3mdk
- fix BuildRequires

* Sat Sep 10 2005 Pascal Terjan <pterjan@mandriva.org> 0.07-2mdk
- Buildrequires perl-XML-Parser-Lite-Tree (for make test)

* Wed Aug 31 2005 Pascal Terjan <pterjan@mandriva.org> 0.07-1mdk
- First version of the package

